#include <iostream>
#include <string>

using namespace std;

// returns 0 if equal, 1 if value1 is bigger, -1 otherwise
template <class T>
int compare(const T &value1, const T &value2) {
  if (value1 < value2) return -1;
  if (value2 < value1) return 1;
  return 0;
}

int main(int argc, char **argv) {
  string h("hello"), w("world");
  cout << compare<int>(10, 20) << endl;
  cout << compare<string>(h, w) << endl;
  cout << compare<double>(50.5, 50.6) << endl;
  return 0;
}
