#include <string>
#include <vector>
#include <deque>
#include <list>
#include <forward_list>

using namespace std;

int main(int argc, char *argv[]) {
  // a string can act like (is) a container
  string str = "one two three";
  // acts like a dynamically resized array
  vector<string> stringVec = {"one", "two"};
  // doubly ended queue
  deque<int> intDeque = {2, 3};
  // doubly linked list
  list<float> floatList = {0.0, 1.0, 2.0, 3.0};
  // singly linked list
  forward_list<double> doubleForwardList = {1.0, -1.0, 2.0, -1.0, 3.0};

  str.push_back('x');
  stringVec.push_back("three");
  intDeque.push_front(1);
  floatList.erase( floatList.begin() );
  doubleForwardList.remove(-1.0);

  return 0;
}
