#include <string>
#include <vector>
#include <deque>
#include <list>
#include <forward_list>
#include <array>

#include <iostream>

using namespace std;


int main(int argc, char *argv[]) {
  string str = "one two three";
  vector<string> stringVec = {"one", "two", "three"};
  deque<int> intDeque = {1, 2, 3};
  list<float> floatList = {1.0, 2.0, 3.0};
  forward_list<double> doubleForwardList = {1.0, 2.0, 3.0};

  //----------------------------------------------------------------
  // Subscripting "errors"...
  //----------------------------------------------------------------

  // array<> type
  array<int,3> arrayArray = {1, 2, 3};
  cout << "arrayArray[4] == " << arrayArray[4] << endl;

  int index;
  cout << "Enter integer index: ";
  cin >> index;
  cout << "arrayArray[" << index << "] == " << arrayArray[index] << endl;

  // vector<> type
  cout << "Evaluating stringVec.at(4): " << endl;
  cout << "stringVec[4] == " << stringVec[4] << endl;
  cout << "stringVec.at(4) == " << stringVec.at(4) << endl;

  return 0;
}
